/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Usuario;

import java.util.List;

/**
 *
 * @author Administrador
 */
public interface MarcaService  {
	
	 public List<Marca> obtenerTodos();

    public Marca obtenerID(Short id);

    public Marca suscribir(Marca entidad);

    public Marca actualizacion(Marca entidad);

    public void borrar(Marca entidad);

    public List<Marca> buscarPorNome(String nomeMarca);
    
    public List<Marca> buscarTodosExceto(Usuario usuario,Integer ... idMarca);
    
    public List<Marca> buscarDescricaoIdMarca();
    
    public List<Marca> buscarMarcaPorEmpresa(List<Empresa> empresa);
}